Bug 135846 - I18N : diff sidebar is not working for multibyte chars
I18N : diff sidebar is not working for multibyte chars
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
6.x
All All
: P2 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
JA_COMMUNITY
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 04:08 UTC by Masaki Katakai
Modified: 2008-07-29 22:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot : no diff, but sidebar is displayed (72.17 KB, image/png)
2008-05-27 04:10 UTC, Masaki Katakai
Details
screenshot : multibyte characters are corrupted (7.19 KB, image/png)
2008-05-27 04:13 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2008-05-27 04:08:30 UTC
Product Version: NetBeans IDE Dev (Build 200805221203)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: SunOS version 5.11 running on x86; UTF-8; ja_JP (nb)

Please refer the screenshot. There is no update but
diff sidebar (blue line) is displayed for the line
that contains multibytes.

1. Create a project
2. Input multibyte strings into the source
3. Import the project to subversion repository

I tried the same operation with CVS, but I can not reproduce it.
Also, I'm not seeing this issue on 6.1. So it seems that
it's a regression from 6.1 in subversion module.
Comment 1 Masaki Katakai 2008-05-27 04:10:30 UTC
Created attachment 61955 [details]
screenshot : no diff, but sidebar is displayed
Comment 2 Masaki Katakai 2008-05-27 04:13:07 UTC
Created attachment 61956 [details]
screenshot : multibyte characters are corrupted
Comment 3 Tomas Stupka 2008-06-03 21:20:29 UTC
should be fixed in scope of c21ac6ecfb22
Comment 4 Ken Frank 2008-07-29 22:45:03 UTC
to developers, am trying to verify - 

I see the popup window in green or blue sidebar but it does not show any text
under it for en or mbyte (as is seen in your second gif)
that is it has the icons/gifs but no text under it when I am adding to file.

I don't know if its separate issue or it could be that color of text same as
background of editor and I'm not seeing it ?

ken.frank@sun.com


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo